Subject: Re: [PATCH] t5534: split stdout and stderr redirection

From: Đoàn Trần Công Danh <[email-masked]>
Date: Wed, 7 Oct 2020 07:15:51 +0700

On 2020-10-06 12:11:00-0700, Junio C Hamano <[email-masked]> wrote:
> Đoàn Trần Công Danh  <[email-masked]> writes:
> 
> >  Arguably, I would say it's OK to change the:
> >  	
> >  	test_i18ngrep ! "gpg failed to sign"
> >
> >  to:
> >
> >  	! grep "gpg failed to sign"
> >
> >  since the latter will be correct even if GIT_TEST_GETTEXT_POISON=true
> 
> Is it because we haven't managed to translate this particular
> message, or is it because we should never ever translate it perhaps
> because the message is meant for machine consumption?

We translated that message.

> If the latter, yes, I agree with the reasoning,
> but I do not see a reason why this message should never be translated.

I was wrong, I thought test_i18ngrep will blindly "return 0", it does
call grep on "test_i18ngrep !"

Please ignore my non-sense in the foot-note.
I guess the main part is still good, though.

Thanks,

-- 
Danh